

### All Types

| Name | Summary |
|---|---|
| [shark.ApplicationLeak](../shark/-application-leak/index.md) | A leak found by [HeapAnalyzer](../shark/-heap-analyzer/index.md) in your application. |
| [shark.AppSingletonInspector](../shark/-app-singleton-inspector/index.md) | Inspector that automatically marks instances of the provided class names as not leaking because they're app wide singletons. |
| [shark.FilteringLeakingObjectFinder](../shark/-filtering-leaking-object-finder/index.md) | Finds the objects that are leaking by scanning all objects in the heap dump and delegating the decision to a list of [FilteringLeakingObjectFinder.LeakingObjectFilter](../shark/-filtering-leaking-object-finder/-leaking-object-filter/index.md) |
| [shark.HeapAnalysis](../shark/-heap-analysis/index.md) | The result of an analysis performed by [HeapAnalyzer](../shark/-heap-analyzer/index.md), either a [HeapAnalysisSuccess](../shark/-heap-analysis-success/index.md) or a [HeapAnalysisFailure](../shark/-heap-analysis-failure/index.md). This class is serializable however there are no guarantees of forward compatibility. |
| [shark.HeapAnalysisException](../shark/-heap-analysis-exception/index.md) |  |
| [shark.HeapAnalysisFailure](../shark/-heap-analysis-failure/index.md) | The analysis performed by [HeapAnalyzer](../shark/-heap-analyzer/index.md) did not complete successfully. |
| [shark.HeapAnalysisSuccess](../shark/-heap-analysis-success/index.md) | The result of a successful heap analysis performed by [HeapAnalyzer](../shark/-heap-analyzer/index.md). |
| [shark.HeapAnalyzer](../shark/-heap-analyzer/index.md) | Analyzes heap dumps to look for leaks. |
| [shark.IgnoredReferenceMatcher](../shark/-ignored-reference-matcher/index.md) | [IgnoredReferenceMatcher](../shark/-ignored-reference-matcher/index.md) should be used to match references that cannot ever create leaks. The shortest path finder will never go through matching references. |
| [shark.KeyedWeakReferenceFinder](../shark/-keyed-weak-reference-finder/index.md) | Finds all objects tracked by a KeyedWeakReference, ie all objects that were passed to ObjectWatcher.watch. |
| [shark.Leak](../shark/-leak/index.md) | A leak found by [HeapAnalyzer](../shark/-heap-analyzer/index.md), either an [ApplicationLeak](../shark/-application-leak/index.md) or a [LibraryLeak](../shark/-library-leak/index.md). |
| [shark.LeakingObjectFinder](../shark/-leaking-object-finder/index.md) |  |
| [shark.LeakTrace](../shark/-leak-trace/index.md) | The best strong reference path from a GC root to the leaking object. "Best" here means the shortest prioritized path. A large number of distinct paths can generally be found leading to a leaking object. Shark prioritizes paths that don't go through known [LibraryLeakReferenceMatcher](../shark/-library-leak-reference-matcher/index.md) (because those are known to create leaks so it's more interesting to find other paths causing leaks), then it prioritize paths that don't go through java local gc roots (because those are harder to reason about). Taking those priorities into account, finding the shortest path means there are less [LeakTraceReference](../shark/-leak-trace-reference/index.md) that can be suspected to cause the leak. |
| [shark.LeakTraceObject](../shark/-leak-trace-object/index.md) |  |
| [shark.LeakTraceReference](../shark/-leak-trace-reference/index.md) | A [LeakTraceReference](../shark/-leak-trace-reference/index.md) represents and origin [LeakTraceObject](../shark/-leak-trace-object/index.md) and either a reference from that object to the [LeakTraceObject](../shark/-leak-trace-object/index.md) in the next [LeakTraceReference](../shark/-leak-trace-reference/index.md) in [LeakTrace.referencePath](../shark/-leak-trace/reference-path.md), or to [LeakTrace.leakingObject](../shark/-leak-trace/leaking-object.md) if this is the last [LeakTraceReference](../shark/-leak-trace-reference/index.md) in [LeakTrace.referencePath](../shark/-leak-trace/reference-path.md). |
| [shark.LibraryLeak](../shark/-library-leak/index.md) | A leak found by [HeapAnalyzer](../shark/-heap-analyzer/index.md), where the only path to the leaking object required going through a reference matched by [pattern](../shark/-library-leak/pattern.md), as provided to a [LibraryLeakReferenceMatcher](../shark/-library-leak-reference-matcher/index.md) instance. This is a known leak in library code that is beyond your control. |
| [shark.LibraryLeakReferenceMatcher](../shark/-library-leak-reference-matcher/index.md) | [LibraryLeakReferenceMatcher](../shark/-library-leak-reference-matcher/index.md) should be used to match references in library code that are known to create leaks and are beyond your control. The shortest path finder will only go through matching references after it has exhausted references that don't match, prioritizing finding an application leak over a known library leak. Library leaks will be reported as [LibraryLeak](../shark/-library-leak/index.md) instead of [ApplicationLeak](../shark/-application-leak/index.md). |
| [shark.MetadataExtractor](../shark/-metadata-extractor/index.md) |  |
| [shark.ObjectInspector](../shark/-object-inspector/index.md) |  |
| [shark.ObjectInspectors](../shark/-object-inspectors/index.md) | A set of default [ObjectInspector](../shark/-object-inspector/index.md)s that knows about common JDK objects. |
| [shark.ObjectReporter](../shark/-object-reporter/index.md) | Enables [ObjectInspector](../shark/-object-inspector/index.md) implementations to provide insights on [heapObject](../shark/-object-reporter/heap-object.md), which is an object (class, instance or array) found in the heap. |
| [shark.OnAnalysisProgressListener](../shark/-on-analysis-progress-listener/index.md) |  |
| [shark.ReferenceMatcher](../shark/-reference-matcher/index.md) | Used to pattern match known patterns of references in the heap, either to ignore them ([IgnoredReferenceMatcher](../shark/-ignored-reference-matcher/index.md)) or to mark them as library leaks ([LibraryLeakReferenceMatcher](../shark/-library-leak-reference-matcher/index.md)). |
| [shark.ReferencePattern](../shark/-reference-pattern/index.md) | A pattern that will match references for a given [ReferenceMatcher](../shark/-reference-matcher/index.md). |
